%define hal_version 0.2.97
Summary: The GNOME Volume Manager
Name: gnome-volume-manager
Version: 1.0.2
Release: 2mdk
License: GPL
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: hal-devel >= %hal_version
BuildRequires: intltool
BuildRequires: autoconf2.5
Requires: gnome-mime-data
Requires: hal >= %hal_version
Requires: gnome-control-center >= 2.0
Requires: dbus >= 0.20

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Voume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the deskto and its
applications.

%prep
%setup -q

#fix build
#rm -f depcomp install-sh missing mkinstalldirs
#aclocal
#automake -a -c
#WANT_AUTOCONF_2_5=1 autoconf
chmod a+r AUTHORS ChangeLog INSTALL README TODO

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/gnome-volume-properties"\
	needs="gnome"\
	section="System/Configuration/GNOME"\
	icon="gnome-dev-cdrom"\
	title="Removable Storage"\
	longtitle="Configure Management of Removable Devices"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-volume-manager.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="gnome-volume-manager.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome-volume-manager
%{_sysconfdir}/gconf/schemas/*.schemas
%_menudir/%name

%changelog
* Mon Sep 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- add menu entry for gnome-volume-properties

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- bump hal dep
- New release 1.0.2

* Fri Sep 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- New release 0.9.10

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Uninstall schema when uninstall package

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Thu Apr  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Fri Jan 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Fix buildrequires :)
- Fix url

* Wed Jan 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- fix buildrequires
- fix build

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Initial Mdk package (based on Robert Love package)

